package com.qx.gpsp.common;

public class WzException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6034618103611786497L;
	
	public static final String IllegalArgumentException = "IllegalArgumentException";
	
	public static final String ClientProtocolException = "ClientProtocol";
	
	public static final String UnsupportedEncodingException = "UnsupportedEncodingException";
	
	public static final String IOException = "IOException";
	
	public static final String ParseException = "ParseException";
	
	public static final String WzServerException = "WzServerException";
	
	private String wzType;
	
	private String wzMessage;
	
	public WzException(String type,String message){
		super("["+type+"]: " + message);
		this.wzType = type;
		this.wzMessage = message;
	}
	
	public void setWzType(String type){
		this.wzType = type;
	}
	
	public String getWzType(){
		return this.wzType;
	}
	
	public void setWzMessage(String message){
		this.wzMessage = message;
	}
	
	public String getWzMessage(){
		return this.wzMessage;
	}
}