package com.qx.gpsp.manager;
import java.util.List;

import com.qx.gpsp.common.WzException;
import com.qx.gpsp.model.WzEntity;
import com.qx.gpsp.model.result.WzCreateEntityResult;
import com.qx.gpsp.model.result.WzDeleteEntityResult;
import com.qx.gpsp.model.result.WzQueryEntitiesByAppResult;
import com.qx.gpsp.model.result.WzQueryEntitiesResult;
import com.qx.gpsp.model.result.WzQueryEntityResult;
import com.qx.gpsp.model.result.WzUpdateEntityResult;


public interface WzEntityManager{
	
    public WzCreateEntityResult createEntity(WzEntity wzEntity) throws WzException;

    public WzDeleteEntityResult deleteEntity(String bizType,String entityName) throws WzException;
    
    public WzUpdateEntityResult updateEntity(WzEntity wzEntity) throws WzException;
    
    public WzQueryEntityResult queryEntity(String bizType,String entityName) throws WzException;
    
    public WzQueryEntitiesResult queryEntities(String bizType,List<String> entityNames) throws WzException;
    
    public WzQueryEntitiesByAppResult queryEntitiesByApp(String bizType,int pageNum,int pageSize) throws WzException;
}
