package com.qx.gpsp.manager;

import java.util.List;

import com.qx.gpsp.common.WzException;
import com.qx.gpsp.model.WzEntityPoint;
import com.qx.gpsp.model.result.WzAddPointResult;
import com.qx.gpsp.model.result.WzAddPointsResult;
import com.qx.gpsp.model.result.WzLocateResult;
import com.qx.gpsp.model.result.WzQueryPointsResult;

public interface WzEntityPointManager {
	
	 public WzAddPointResult addPoint(WzEntityPoint wzEntityPoint) throws WzException;
	 
	 public WzAddPointsResult addPoints(List<WzEntityPoint> wzEntityPoints) throws WzException;

	 public WzLocateResult locate(String bizType,List<String> entityNames,int activeTime) throws WzException;
	 
	 public WzQueryPointsResult queryPoints(String bizType,String entityName,long beginTime,
			 long endTime,int pageNum,int pageSize) throws WzException;
}